var al_id_bingo = $("#id_user").val();
function init() {
   mostrar(al_id_bingo);
listarhistorial();
    $("#formularioREG_EDIT").on("submit", function(e) {
        e.preventDefault(); // Evita el envío del formulario por defecto
        guardaryeditar(e);
    });
    //================================================================//

    //================================================================//
}



function mostrar(al_id_bingo)
{

 $.post("../../ajax/jugador/jugador.php?op=mostrarestadisticas&r=" + new Date().getTime(), {
  al_id_bingo: al_id_bingo
    }, function(data, status)
  {
    
    //recibir la respuesta del ajax
    var data = JSON.parse(data);

   $("#cartonesC").val(data.total_cartones);
    $("#partidasJ").val(data.total_partidas);
 $("#totalpg").val(data.total_partidas_ganadas);

 });
}



function listarhistorial() {
    $.ajax({
        url: '../../ajax/jugador/jugador.php?op=listarhistorial',
        method: 'GET',
        dataType: 'json',
        success: function(response) {
            if (response.status === 'success') {
                $('#tuContenedorElegidoHistorial').html(response.html);
            } else {
                console.error('Error al cargar los datos: ', response.message || 'No se pudo cargar el contenido');
            }
        },
        error: function(xhr, status, error) {
            console.error('Error en la solicitud:', error);
            console.error('Detalles:', xhr.responseText);
        }
    });
}




init();